class onTick {
    constructor() {
        this.onTick = this.onTick.bind(this);
    }
    onTick(_componentData) { }
}
export class fallingLeaves extends onTick {
    onTick(componentData) {
        componentData.dimension.spawnParticle('bf_dc:falling_leaves_particles', componentData.block.location);
    }
}
export class fallingLeaves2 extends onTick {
    onTick(componentData) {
        componentData.dimension.spawnParticle('bf_dc:falling_leaves_particles2', componentData.block.location);
    }
}
